VTK: vtkLabeledDataMapper Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkLabeledDataMapper Class Reference

draw text labels at dataset points More...

`#include <vtkLabeledDataMapper.h>`

Inheritance diagram for vtkLabeledDataMapper:
[legend]
Collaboration diagram for vtkLabeledDataMapper:
[legend]

## Public Types
enum | Coordinates { WORLD = 0 , DISPLAY = 1 }
| Coordinate systems that output dataset may use. More...
typedef vtkMapper2D | Superclass
Public Types inherited from vtkMapper2D
typedef vtkAbstractMapper | Superclass
Public Types inherited from vtkAbstractMapper
typedef vtkAlgorithm | Superclass
Public Types inherited from vtkAlgorithm
enum | DesiredOutputPrecision { SINGLE_PRECISION , DOUBLE_PRECISION , DEFAULT_PRECISION }
| Values used for setting the desired output precision for various algorithms. More...
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkLabeledDataMapper * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | SetInputData (vtkDataObject *)
| Set the input dataset to the mapper. More...
vtkDataSet * | GetInput ()
| Use GetInputDataObject() to get the input data object for composite datasets. More...
void | ReleaseGraphicsResources (vtkWindow *) override
| Release any graphics resources that are being consumed by this actor. More...
vtkMTimeType | GetMTime () override
| Return the modified time for this object. More...
const char * | GetLabelText (int label)
| Return the text for the requested label. More...
virtual void | SetLabelFormat (const char *)
| Set/Get the format with which to print the labels. More...
virtual char * | GetLabelFormat ()
| Set/Get the format with which to print the labels. More...
virtual void | SetLabeledComponent (int)
| Set/Get the component number to label if the data to print has more than one component. More...
virtual int | GetLabeledComponent ()
| Set/Get the component number to label if the data to print has more than one component. More...
virtual void | SetComponentSeparator (char)
| Set/Get the separator between components. More...
virtual char | GetComponentSeparator ()
| Set/Get the separator between components. More...
void | SetFieldDataArray (int arrayIndex)
| Set/Get the field data array to label. More...
virtual int | GetFieldDataArray ()
| Set/Get the field data array to label. More...
void | SetFieldDataName (const char *arrayName)
| Set/Get the name of the field data array to label. More...
virtual char * | GetFieldDataName ()
| Set/Get the name of the field data array to label. More...
virtual void | SetLabelMode (int)
| Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data. More...
virtual int | GetLabelMode ()
| Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data. More...
void | SetLabelModeToLabelIds ()
| Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data. More...
void | SetLabelModeToLabelScalars ()
| Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data. More...
void | SetLabelModeToLabelVectors ()
| Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data. More...
void | SetLabelModeToLabelNormals ()
| Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data. More...
void | SetLabelModeToLabelTCoords ()
| Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data. More...
void | SetLabelModeToLabelTensors ()
| Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data. More...
void | SetLabelModeToLabelFieldData ()
| Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data. More...
virtual void | SetLabelTextProperty (vtkTextProperty *p)
| Set/Get the text property. More...
virtual vtkTextProperty * | GetLabelTextProperty ()
| Set/Get the text property. More...
virtual void | SetLabelTextProperty (vtkTextProperty *p, int type)
| Set/Get the text property. More...
virtual vtkTextProperty * | GetLabelTextProperty (int type)
| Set/Get the text property. More...
void | RenderOpaqueGeometry (vtkViewport *viewport, vtkActor2D *actor) override
| Draw the text to the screen at each input point. More...
void | RenderOverlay (vtkViewport *viewport, vtkActor2D *actor) override
| Draw the text to the screen at each input point. More...
virtual vtkTransform * | GetTransform ()
| The transform to apply to the labels before mapping to 2D. More...
void | SetTransform (vtkTransform *t)
| The transform to apply to the labels before mapping to 2D. More...
virtual int | GetCoordinateSystem ()
| Set/get the coordinate system used for output labels. More...
virtual void | SetCoordinateSystem (int)
| Set/get the coordinate system used for output labels. More...
void | CoordinateSystemWorld ()
| Set/get the coordinate system used for output labels. More...
void | CoordinateSystemDisplay ()
| Set/get the coordinate system used for output labels. More...
virtual int | GetNumberOfLabels ()
| Return the number of labels rendered by the mapper. More...
void | GetLabelPosition (int label, double pos[3])
| Return the position of the requested label. More...
Public Member Functions inherited from vtkMapper2D
vtkMapper2D * | NewInstance () const
virtual void | RenderTranslucentPolygonalGeometry (vtkViewport *, vtkActor2D *)
virtual vtkTypeBool | HasTranslucentPolygonalGeometry ()
Public Member Functions inherited from vtkAbstractMapper
vtkAbstractMapper * | NewInstance () const
void | SetClippingPlanes (vtkPlanes *planes)
| An alternative way to set clipping planes: use up to six planes found in the supplied instance of the implicit function vtkPlanes. More...
virtual void | ShallowCopy (vtkAbstractMapper *m)
| Make a shallow copy of this mapper. More...
int | GetNumberOfClippingPlanes ()
| Get the number of clipping planes. More...
virtual double | GetTimeToDraw ()
| Get the time required to draw the geometry last time it was rendered. More...
void | AddClippingPlane (vtkPlane *plane)
| Specify clipping planes to be applied when the data is mapped (at most 6 clipping planes can be specified). More...
void | RemoveClippingPlane (vtkPlane *plane)
| Specify clipping planes to be applied when the data is mapped (at most 6 clipping planes can be specified). More...
void | RemoveAllClippingPlanes ()
| Specify clipping planes to be applied when the data is mapped (at most 6 clipping planes can be specified). More...
virtual void | SetClippingPlanes (vtkPlaneCollection *)
| Get/Set the vtkPlaneCollection which specifies the clipping planes. More...
virtual vtkPlaneCollection * | GetClippingPlanes ()
| Get/Set the vtkPlaneCollection which specifies the clipping planes. More...
Public Member Functions inherited from vtkAlgorithm
vtkAlgorithm * | NewInstance () const
vtkTypeBool | HasExecutive ()
| Check whether this algorithm has an assigned executive. More...
vtkExecutive * | GetExecutive ()
| Get this algorithm's executive. More...
virtual void | SetExecutive (vtkExecutive *executive)
| Set this algorithm's executive. More...
virtual vtkTypeBool | ProcessRequest (vtkInformation *request, vtkInformationVector **inInfo, vtkInformationVector *outInfo)
| Upstream/Downstream requests form the generalized interface through which executives invoke a algorithm's functionality. More...
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkCollection *inInfo, vtkInformationVector *outInfo)
| Version of ProcessRequest() that is wrapped. More...
virtual int | ComputePipelineMTime (vtkInformation *request, vtkInformationVector **inInfoVec, vtkInformationVector *outInfoVec, int requestFromOutputPort, vtkMTimeType *mtime)
| A special version of ProcessRequest meant specifically for the pipeline modified time request. More...
virtual int | ModifyRequest (vtkInformation *request, int when)
| This method gives the algorithm a chance to modify the contents of a request before or after (specified in the when argument) it is forwarded. More...
vtkInformation * | GetInputPortInformation (int port)
| Get the information object associated with an input port. More...
vtkInformation * | GetOutputPortInformation (int port)
| Get the information object associated with an output port. More...
int | GetNumberOfInputPorts ()
| Get the number of input ports used by the algorithm. More...
int | GetNumberOfOutputPorts ()
| Get the number of output ports provided by the algorithm. More...
void | SetAbortExecuteAndUpdateTime ()
| Set AbortExecute Flag and update LastAbortTime. More...
void | UpdateProgress (double amount)
| Update the progress of the process object. More...
bool | CheckAbort ()
| Checks to see if this filter should abort. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName)
| String based versions of SetInputArrayToProcess(). More...
vtkInformation * | GetInputArrayInformation (int idx)
| Get the info object for the specified input array to this algorithm. More...
void | RemoveAllInputs ()
| Remove all the input data. More...
vtkDataObject * | GetOutputDataObject (int port)
| Get the data object that will contain the algorithm output for the given port. More...
vtkDataObject * | GetInputDataObject (int port, int connection)
| Get the data object that will contain the algorithm input for the given port and given connection. More...
virtual void | RemoveInputConnection (int port, vtkAlgorithmOutput *input)
| Remove a connection from the given input port index. More...
virtual void | RemoveInputConnection (int port, int idx)
| Remove a connection given by index idx. More...
virtual void | RemoveAllInputConnections (int port)
| Removes all input connections. More...
virtual void | SetInputDataObject (int port, vtkDataObject *data)
| Sets the data-object as an input on the given port index. More...
virtual void | SetInputDataObject (vtkDataObject *data)
virtual void | AddInputDataObject (int port, vtkDataObject *data)
| Add the data-object as an input to this given port. More...
virtual void | AddInputDataObject (vtkDataObject *data)
vtkAlgorithmOutput * | GetOutputPort (int index)
| Get a proxy object corresponding to the given output port of this algorithm. More...
vtkAlgorithmOutput * | GetOutputPort ()
int | GetNumberOfInputConnections (int port)
| Get the number of inputs currently connected to a port. More...
int | GetTotalNumberOfInputConnections ()
| Get the total number of inputs for this algorithm. More...
vtkAlgorithmOutput * | GetInputConnection (int port, int index)
| Get the algorithm output port connected to an input port. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index, int &algPort)
| Returns the algorithm and the output port index of that algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index)
| Returns the algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm ()
| Equivalent to GetInputAlgorithm(0, 0). More...
vtkExecutive * | GetInputExecutive (int port, int index)
| Returns the executive associated with a particular input connection. More...
vtkExecutive * | GetInputExecutive ()
| Equivalent to GetInputExecutive(0, 0) More...
vtkInformation * | GetInputInformation (int port, int index)
| Return the information object that is associated with a particular input connection. More...
vtkInformation * | GetInputInformation ()
| Equivalent to GetInputInformation(0, 0) More...
vtkInformation * | GetOutputInformation (int port)
| Return the information object that is associated with a particular output port. More...
virtual vtkTypeBool | Update (int port, vtkInformationVector *requests)
| This method enables the passing of data requests to the algorithm to be used during execution (in addition to bringing a particular port up-to-date). More...
virtual vtkTypeBool | Update (vtkInformation *requests)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdatePiece (int piece, int numPieces, int ghostLevels, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateExtent (const int extents[6])
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateTimeStep (double time, int piece=-1, int numPieces=1, int ghostLevels=0, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual void | UpdateInformation ()
| Bring the algorithm's information up-to-date. More...
virtual void | UpdateDataObject ()
| Create output object(s). More...
virtual void | PropagateUpdateExtent ()
| Propagate meta-data upstream. More...
virtual void | UpdateWholeExtent ()
| Bring this algorithm's outputs up-to-date. More...
void | ConvertTotalInputToPortConnection (int ind, int &port, int &conn)
| Convenience routine to convert from a linear ordering of input connections to a port/connection pair. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this algorithm. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this algorithm. More...
bool | UsesGarbageCollector () const override
| Participate in garbage collection. More...
virtual void | SetAbortExecute (vtkTypeBool)
| Set/Get the AbortExecute flag for the process object. More...
virtual vtkTypeBool | GetAbortExecute ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOn ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOff ()
| Set/Get the AbortExecute flag for the process object. More...
virtual double | GetProgress ()
| Get the execution progress of a process object. More...
void | SetContainerAlgorithm (vtkAlgorithm *containerAlg)
| Set/get a Container algorithm for this algorithm. More...
vtkAlgorithm * | GetContainerAlgorithm ()
| Set/get a Container algorithm for this algorithm. More...
virtual void | SetAbortOutput (bool)
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
virtual bool | GetAbortOutput ()
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
void | SetProgressShiftScale (double shift, double scale)
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressShift ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressScale ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
void | SetProgressText (const char *ptext)
| Set the current text message associated with the progress state. More...
virtual char * | GetProgressText ()
| Set the current text message associated with the progress state. More...
virtual unsigned long | GetErrorCode ()
| The error code contains a possible error that occurred while reading or writing the file. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, const char *name)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, vtkInformation *info)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputConnection (int port, vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | AddInputConnection (int port, vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | AddInputConnection (vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | Update (int port)
| Bring this algorithm's outputs up-to-date. More...
virtual void | Update ()
| Bring this algorithm's outputs up-to-date. More...
virtual void | SetReleaseDataFlag (vtkTypeBool)
| Turn release data flag on or off for all output ports. More...
virtual vtkTypeBool | GetReleaseDataFlag ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOn ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOff ()
| Turn release data flag on or off for all output ports. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, vtkDataObject *output)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, int extentType)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int * | GetUpdateExtent ()
| These functions return the update extent for output ports that use 3D extents. More...
int * | GetUpdateExtent (int port)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
int | GetUpdatePiece ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdatePiece (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel (int port)
| These functions return the update extent for output ports that use piece extents. More...
void | SetProgressObserver (vtkProgressObserver *)
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
virtual vtkProgressObserver * | GetProgressObserver ()
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...

## Static Public Member Functions
static vtkLabeledDataMapper * | New ()
| Instantiate object with %%-#6.3g label format. More...
static vtkTypeBool | IsTypeOf (const char *type)
static vtkLabeledDataMapper * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkMapper2D
static vtkTypeBool | IsTypeOf (const char *type)
static vtkMapper2D * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAbstractMapper
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAbstractMapper * | SafeDownCast (vtkObjectBase *o)
static vtkDataArray * | GetScalars (vtkDataSet *input, int scalarMode, int arrayAccessMode, int arrayId, const char *arrayName, int &cellFlag)
| Internal helper function for getting the active scalars. More...
static vtkAbstractArray * | GetAbstractScalars (vtkDataSet *input, int scalarMode, int arrayAccessMode, int arrayId, const char *arrayName, int &cellFlag)
| Internal helper function for getting the active scalars as an abstract array. More...
static vtkUnsignedCharArray * | GetGhostArray (vtkDataSet *input, int scalarMode, unsigned char &ghostsToSkip)
| Returns the ghost array associated with the corresponding scalar mode, if present. More...
Static Public Member Functions inherited from vtkAlgorithm
static vtkAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAlgorithm * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | INPUT_IS_OPTIONAL ()
| Keys used to specify input port requirements. More...
static vtkInformationIntegerKey * | INPUT_IS_REPEATABLE ()
static vtkInformationInformationVectorKey * | INPUT_REQUIRED_FIELDS ()
static vtkInformationStringVectorKey * | INPUT_REQUIRED_DATA_TYPE ()
static vtkInformationInformationVectorKey * | INPUT_ARRAYS_TO_PROCESS ()
static vtkInformationIntegerKey * | INPUT_PORT ()
static vtkInformationIntegerKey * | INPUT_CONNECTION ()
static vtkInformationIntegerKey * | CAN_PRODUCE_SUB_EXTENT ()
| This key tells the executive that a particular output port is capable of producing an arbitrary subextent of the whole extent. More...
static vtkInformationIntegerKey * | CAN_HANDLE_PIECE_REQUEST ()
| Key that tells the pipeline that a particular algorithm can or cannot handle piece request. More...
static vtkInformationIntegerKey * | ABORTED ()
static void | SetDefaultExecutivePrototype (vtkExecutive *proto)
| If the DefaultExecutivePrototype is set, a copy of it is created in CreateDefaultExecutive() using NewInstance(). More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkLabeledDataMapper ()
| ~vtkLabeledDataMapper () override
int | FillInputPortInformation (int, vtkInformation *) override
| Fill the input port information objects for this algorithm. More...
void | AllocateLabels (int numLabels)
void | BuildLabels ()
void | BuildLabelsInternal (vtkDataSet *)
Protected Member Functions inherited from vtkMapper2D
| vtkMapper2D ()=default
| ~vtkMapper2D () override=default
Protected Member Functions inherited from vtkAbstractMapper
| vtkAbstractMapper ()
| ~vtkAbstractMapper () override
Protected Member Functions inherited from vtkAlgorithm
| vtkAlgorithm ()
| ~vtkAlgorithm () override
bool | CheckUpstreamAbort ()
| Checks to see if an upstream filter has been aborted. More...
virtual int | FillOutputPortInformation (int port, vtkInformation *info)
| Fill the output port information objects for this algorithm. More...
virtual void | SetNumberOfInputPorts (int n)
| Set the number of input ports used by the algorithm. More...
virtual void | SetNumberOfOutputPorts (int n)
| Set the number of output ports provided by the algorithm. More...
int | InputPortIndexInRange (int index, const char *action)
int | OutputPortIndexInRange (int index, const char *action)
int | GetInputArrayAssociation (int idx, vtkInformationVector **inputVector)
| Get the association of the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkInformation * | GetInputArrayFieldInformation (int idx, vtkInformationVector **inputVector)
| This method takes in an index (as specified in SetInputArrayToProcess) and a pipeline information vector. More...
virtual vtkExecutive * | CreateDefaultExecutive ()
| Create a default executive. More...
void | ReportReferences (vtkGarbageCollector *) override
virtual void | SetNthInputConnection (int port, int index, vtkAlgorithmOutput *input)
| Replace the Nth connection on the given input port. More...
virtual void | SetNumberOfInputConnections (int port, int n)
| Set the number of input connections on the given input port. More...
void | SetInputDataInternal (int port, vtkDataObject *input)
| These methods are used by subclasses to implement methods to set data objects directly as input. More...
void | AddInputDataInternal (int port, vtkDataObject *input)
int | GetInputArrayAssociation (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
int | GetInputArrayAssociation (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
virtual void | SetErrorCode (unsigned long)
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkDataSet * | Input
char * | LabelFormat
int | LabelMode
int | LabeledComponent
int | FieldDataArray
char * | FieldDataName
int | CoordinateSystem
char | ComponentSeparator
vtkTimeStamp | BuildTime
int | NumberOfLabels
int | NumberOfLabelsAllocated
vtkTextMapper ** | TextMappers
double * | LabelPositions
vtkTransform * | Transform
Internals * | Implementation
Protected Attributes inherited from vtkAbstractMapper
vtkTimerLog * | Timer
double | TimeToDraw
vtkWindow * | LastWindow
vtkPlaneCollection * | ClippingPlanes
Protected Attributes inherited from vtkAlgorithm
vtkTimeStamp | LastAbortCheckTime
vtkInformation * | Information
double | Progress
char * | ProgressText
vtkProgressObserver * | ProgressObserver
unsigned long | ErrorCode
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Public Attributes inherited from vtkAlgorithm
std::atomic< vtkTypeBool > | AbortExecute
Static Protected Member Functions inherited from vtkAlgorithm
static vtkInformationIntegerKey * | PORT_REQUIREMENTS_FILLED ()
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Static Protected Attributes inherited from vtkAlgorithm
static vtkTimeStamp | LastAbortTime
static vtkExecutive * | DefaultExecutivePrototype

## Detailed Description

draw text labels at dataset points

vtkLabeledDataMapper is a mapper that renders text at dataset points. Various items can be labeled including point ids, scalars, vectors, normals, texture coordinates, tensors, and field data components.

The format with which the label is drawn is specified using a printf style format string. The font attributes of the text can be set through the vtkTextProperty associated to this mapper.

By default, all the components of multi-component data such as vectors, normals, texture coordinates, tensors, and multi-component scalars are labeled. However, you can specify a single component if you prefer. (Note: the label format specifies the format to use for a single component. The label is creating by looping over all components and using the label format to render each component.) The character separator between components can be set. By default, it is set to a single whitespace.

Warning
  Use this filter in combination with vtkSelectVisiblePoints if you want to label only points that are visible. If you want to label cells rather than points, use the filter vtkCellCenters to generate points at the center of the cells. Also, you can use the class vtkIdFilter to generate ids as scalars or field data, which can then be labeled.

See also
  vtkMapper2D vtkActor2D vtkTextMapper vtkTextProperty vtkSelectVisiblePoints vtkIdFilter vtkCellCenters

Examples:
  vtkLabeledDataMapper (Examples)

Online Examples:

Tests:
  vtkLabeledDataMapper (Tests)

Definition at line 74 of file vtkLabeledDataMapper.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkMapper2D vtkLabeledDataMapper::Superclass

Definition at line 83 of file vtkLabeledDataMapper.h.

## Member Enumeration Documentation

## ◆ Coordinates

enum vtkLabeledDataMapper::Coordinates

Coordinate systems that output dataset may use.

Enumerator
WORLD | Output 3-D world-space coordinates for each label anchor.
DISPLAY | Output 2-D display coordinates for each label anchor (3 components but only 2 are significant).

Definition at line 207 of file vtkLabeledDataMapper.h.

## Constructor & Destructor Documentation

## ◆ vtkLabeledDataMapper()

vtkLabeledDataMapper::vtkLabeledDataMapper | ( |  | ) |
| protected

## ◆ ~vtkLabeledDataMapper()

vtkLabeledDataMapper::~vtkLabeledDataMapper | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkLabeledDataMapper* vtkLabeledDataMapper::New | ( |  | ) |
| static

Instantiate object with %%-#6.3g label format.

By default, point ids are labeled.

## ◆ IsTypeOf()

static vtkTypeBool vtkLabeledDataMapper::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkLabeledDataMapper::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkMapper2D.

Reimplemented in vtkQtTreeRingLabelMapper, vtkLabeledTreeMapDataMapper, and vtkDynamic2DLabelMapper.

## ◆ SafeDownCast()

static vtkLabeledDataMapper* vtkLabeledDataMapper::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkLabeledDataMapper::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkMapper2D.

Reimplemented in vtkQtTreeRingLabelMapper, vtkLabeledTreeMapDataMapper, and vtkDynamic2DLabelMapper.

## ◆ NewInstance()

vtkLabeledDataMapper* vtkLabeledDataMapper::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkLabeledDataMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkMapper2D.

Reimplemented in vtkQtTreeRingLabelMapper, and vtkLabeledTreeMapDataMapper.

## ◆ SetLabelFormat()

virtual void vtkLabeledDataMapper::SetLabelFormat | ( | const char * |  | ) |
| virtual

Set/Get the format with which to print the labels.

This should be a printf-style format string.

By default, the mapper will try to print each component of the tuple using a sane format: d for integers, f for floats, g for doubles, ld for longs, et cetera. If you need a different format, set it here. You can do things like limit the number of significant digits, add prefixes/suffixes, basically anything that printf can do. If you only want to print one component of a vector, see the ivar LabeledComponent.

## ◆ GetLabelFormat()

virtual char* vtkLabeledDataMapper::GetLabelFormat | ( |  | ) |
| virtual

Set/Get the format with which to print the labels.

This should be a printf-style format string.

By default, the mapper will try to print each component of the tuple using a sane format: d for integers, f for floats, g for doubles, ld for longs, et cetera. If you need a different format, set it here. You can do things like limit the number of significant digits, add prefixes/suffixes, basically anything that printf can do. If you only want to print one component of a vector, see the ivar LabeledComponent.

## ◆ SetLabeledComponent()

virtual void vtkLabeledDataMapper::SetLabeledComponent | ( | int |  | ) |
| virtual

Set/Get the component number to label if the data to print has more than one component.

For example, all the components of scalars, vectors, normals, etc. are labeled by default (LabeledComponent=(-1)). However, if this ivar is nonnegative, then only the one component specified is labeled.

## ◆ GetLabeledComponent()

virtual int vtkLabeledDataMapper::GetLabeledComponent | ( |  | ) |
| virtual

Set/Get the component number to label if the data to print has more than one component.

For example, all the components of scalars, vectors, normals, etc. are labeled by default (LabeledComponent=(-1)). However, if this ivar is nonnegative, then only the one component specified is labeled.

## ◆ SetComponentSeparator()

virtual void vtkLabeledDataMapper::SetComponentSeparator | ( | char |  | ) |
| virtual

Set/Get the separator between components.

## ◆ GetComponentSeparator()

virtual char vtkLabeledDataMapper::GetComponentSeparator | ( |  | ) |
| virtual

Set/Get the separator between components.

## ◆ SetFieldDataArray()

void vtkLabeledDataMapper::SetFieldDataArray | ( | int | arrayIndex | ) |

Set/Get the field data array to label.

This instance variable is only applicable if field data is labeled. This will clear FieldDataName when set.

## ◆ GetFieldDataArray()

virtual int vtkLabeledDataMapper::GetFieldDataArray | ( |  | ) |
| virtual

Set/Get the field data array to label.

This instance variable is only applicable if field data is labeled. This will clear FieldDataName when set.

## ◆ SetFieldDataName()

void vtkLabeledDataMapper::SetFieldDataName | ( | const char * | arrayName | ) |

Set/Get the name of the field data array to label.

This instance variable is only applicable if field data is labeled. This will override FieldDataArray when set.

## ◆ GetFieldDataName()

virtual char* vtkLabeledDataMapper::GetFieldDataName | ( |  | ) |
| virtual

Set/Get the name of the field data array to label.

This instance variable is only applicable if field data is labeled. This will override FieldDataArray when set.

## ◆ SetInputData()

virtual void vtkLabeledDataMapper::SetInputData | ( | vtkDataObject * |  | ) |
| virtual

Set the input dataset to the mapper.

This mapper handles any type of data.

## ◆ GetInput()

vtkDataSet* vtkLabeledDataMapper::GetInput | ( |  | ) |

Use GetInputDataObject() to get the input data object for composite datasets.

## ◆ SetLabelMode()

virtual void vtkLabeledDataMapper::SetLabelMode | ( | int |  | ) |
| virtual

Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data.

If the data has more than one component, use the method SetLabeledComponent to control which components to plot. The default is VTK_LABEL_IDS.

## ◆ GetLabelMode()

virtual int vtkLabeledDataMapper::GetLabelMode | ( |  | ) |
| virtual

Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data.

If the data has more than one component, use the method SetLabeledComponent to control which components to plot. The default is VTK_LABEL_IDS.

## ◆ SetLabelModeToLabelIds()

void vtkLabeledDataMapper::SetLabelModeToLabelIds | ( |  | ) |
| inline

Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data.

If the data has more than one component, use the method SetLabeledComponent to control which components to plot. The default is VTK_LABEL_IDS.

Definition at line 163 of file vtkLabeledDataMapper.h.

## ◆ SetLabelModeToLabelScalars()

void vtkLabeledDataMapper::SetLabelModeToLabelScalars | ( |  | ) |
| inline

Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data.

If the data has more than one component, use the method SetLabeledComponent to control which components to plot. The default is VTK_LABEL_IDS.

Definition at line 164 of file vtkLabeledDataMapper.h.

## ◆ SetLabelModeToLabelVectors()

void vtkLabeledDataMapper::SetLabelModeToLabelVectors | ( |  | ) |
| inline

Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data.

If the data has more than one component, use the method SetLabeledComponent to control which components to plot. The default is VTK_LABEL_IDS.

Definition at line 165 of file vtkLabeledDataMapper.h.

## ◆ SetLabelModeToLabelNormals()

void vtkLabeledDataMapper::SetLabelModeToLabelNormals | ( |  | ) |
| inline

Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data.

If the data has more than one component, use the method SetLabeledComponent to control which components to plot. The default is VTK_LABEL_IDS.

Definition at line 166 of file vtkLabeledDataMapper.h.

## ◆ SetLabelModeToLabelTCoords()

void vtkLabeledDataMapper::SetLabelModeToLabelTCoords | ( |  | ) |
| inline

Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data.

If the data has more than one component, use the method SetLabeledComponent to control which components to plot. The default is VTK_LABEL_IDS.

Definition at line 167 of file vtkLabeledDataMapper.h.

## ◆ SetLabelModeToLabelTensors()

void vtkLabeledDataMapper::SetLabelModeToLabelTensors | ( |  | ) |
| inline

Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data.

If the data has more than one component, use the method SetLabeledComponent to control which components to plot. The default is VTK_LABEL_IDS.

Definition at line 168 of file vtkLabeledDataMapper.h.

## ◆ SetLabelModeToLabelFieldData()

void vtkLabeledDataMapper::SetLabelModeToLabelFieldData | ( |  | ) |
| inline

Specify which data to plot: IDs, scalars, vectors, normals, texture coords, tensors, or field data.

If the data has more than one component, use the method SetLabeledComponent to control which components to plot. The default is VTK_LABEL_IDS.

Definition at line 169 of file vtkLabeledDataMapper.h.

## ◆ SetLabelTextProperty() [1/2]

virtual void vtkLabeledDataMapper::SetLabelTextProperty | ( | vtkTextProperty * | p | ) |
| inlinevirtual

Set/Get the text property.

If an integer argument is provided, you may provide different text properties for different label types. The type is determined by an optional type input array.

Reimplemented in vtkQtTreeRingLabelMapper.

Definition at line 179 of file vtkLabeledDataMapper.h.

## ◆ GetLabelTextProperty() [1/2]

virtual vtkTextProperty* vtkLabeledDataMapper::GetLabelTextProperty | ( |  | ) |
| inlinevirtual

Set/Get the text property.

If an integer argument is provided, you may provide different text properties for different label types. The type is determined by an optional type input array.

Reimplemented in vtkQtTreeRingLabelMapper.

Definition at line 180 of file vtkLabeledDataMapper.h.

## ◆ SetLabelTextProperty() [2/2]

virtual void vtkLabeledDataMapper::SetLabelTextProperty | ( | vtkTextProperty * | p,
|  | int | type
| ) |  |
| virtual

Set/Get the text property.

If an integer argument is provided, you may provide different text properties for different label types. The type is determined by an optional type input array.

Reimplemented in vtkQtTreeRingLabelMapper.

## ◆ GetLabelTextProperty() [2/2]

virtual vtkTextProperty* vtkLabeledDataMapper::GetLabelTextProperty | ( | int | type | ) |
| virtual

Set/Get the text property.

If an integer argument is provided, you may provide different text properties for different label types. The type is determined by an optional type input array.

Reimplemented in vtkQtTreeRingLabelMapper.

## ◆ RenderOpaqueGeometry()

void vtkLabeledDataMapper::RenderOpaqueGeometry | ( | vtkViewport * | viewport,
|  | vtkActor2D * | actor
| ) |  |
| overridevirtual

Draw the text to the screen at each input point.

Reimplemented from vtkMapper2D.

Reimplemented in vtkQtTreeRingLabelMapper, and vtkLabeledTreeMapDataMapper.

## ◆ RenderOverlay()

void vtkLabeledDataMapper::RenderOverlay | ( | vtkViewport * | viewport,
|  | vtkActor2D * | actor
| ) |  |
| overridevirtual

Draw the text to the screen at each input point.

Reimplemented from vtkMapper2D.

Reimplemented in vtkQtTreeRingLabelMapper, and vtkLabeledTreeMapDataMapper.

## ◆ ReleaseGraphicsResources()

void vtkLabeledDataMapper::ReleaseGraphicsResources | ( | vtkWindow * |  | ) |
| overridevirtual

Release any graphics resources that are being consumed by this actor.

Reimplemented from vtkAbstractMapper.

Reimplemented in vtkLabeledTreeMapDataMapper.

## ◆ GetTransform()

virtual vtkTransform* vtkLabeledDataMapper::GetTransform | ( |  | ) |
| virtual

The transform to apply to the labels before mapping to 2D.

## ◆ SetTransform()

void vtkLabeledDataMapper::SetTransform | ( | vtkTransform * | t | ) |

The transform to apply to the labels before mapping to 2D.

## ◆ GetCoordinateSystem()

virtual int vtkLabeledDataMapper::GetCoordinateSystem | ( |  | ) |
| virtual

Set/get the coordinate system used for output labels.

The output datasets may have point coordinates reported in the world space or display space.

## ◆ SetCoordinateSystem()

virtual void vtkLabeledDataMapper::SetCoordinateSystem | ( | int |  | ) |
| virtual

Set/get the coordinate system used for output labels.

The output datasets may have point coordinates reported in the world space or display space.

## ◆ CoordinateSystemWorld()

void vtkLabeledDataMapper::CoordinateSystemWorld | ( |  | ) |
| inline

Set/get the coordinate system used for output labels.

The output datasets may have point coordinates reported in the world space or display space.

Definition at line 221 of file vtkLabeledDataMapper.h.

## ◆ CoordinateSystemDisplay()

void vtkLabeledDataMapper::CoordinateSystemDisplay | ( |  | ) |
| inline

Set/get the coordinate system used for output labels.

The output datasets may have point coordinates reported in the world space or display space.

Definition at line 222 of file vtkLabeledDataMapper.h.

## ◆ GetMTime()

vtkMTimeType vtkLabeledDataMapper::GetMTime | ( |  | ) |
| overridevirtual

Return the modified time for this object.

Reimplemented from vtkAbstractMapper.

Reimplemented in vtkQtTreeRingLabelMapper.

## ◆ GetNumberOfLabels()

virtual int vtkLabeledDataMapper::GetNumberOfLabels | ( |  | ) |
| virtual

Return the number of labels rendered by the mapper.

## ◆ GetLabelPosition()

void vtkLabeledDataMapper::GetLabelPosition | ( | int | label,
|  | double | pos[3]
| ) |  |
| inline

Return the position of the requested label.

Definition at line 241 of file vtkLabeledDataMapper.h.

## ◆ GetLabelText()

const char* vtkLabeledDataMapper::GetLabelText | ( | int | label | ) |

Return the text for the requested label.

## ◆ FillInputPortInformation()

int vtkLabeledDataMapper::FillInputPortInformation | ( | int | port,
|  | vtkInformation * | info
| ) |  |
| overrideprotectedvirtual

Fill the input port information objects for this algorithm.

This is invoked by the first call to GetInputPortInformation for each port so subclasses can specify what they can handle.

Reimplemented from vtkAlgorithm.

## ◆ AllocateLabels()

void vtkLabeledDataMapper::AllocateLabels | ( | int | numLabels | ) |
| protected

## ◆ BuildLabels()

void vtkLabeledDataMapper::BuildLabels | ( |  | ) |
| protected

## ◆ BuildLabelsInternal()

void vtkLabeledDataMapper::BuildLabelsInternal | ( | vtkDataSet * |  | ) |
| protected

## Member Data Documentation

## ◆ Input

vtkDataSet* vtkLabeledDataMapper::Input
| protected

Definition at line 259 of file vtkLabeledDataMapper.h.

## ◆ LabelFormat

char* vtkLabeledDataMapper::LabelFormat
| protected

Definition at line 261 of file vtkLabeledDataMapper.h.

## ◆ LabelMode

int vtkLabeledDataMapper::LabelMode
| protected

Definition at line 262 of file vtkLabeledDataMapper.h.

## ◆ LabeledComponent

int vtkLabeledDataMapper::LabeledComponent
| protected

Definition at line 263 of file vtkLabeledDataMapper.h.

## ◆ FieldDataArray

int vtkLabeledDataMapper::FieldDataArray
| protected

Definition at line 264 of file vtkLabeledDataMapper.h.

## ◆ FieldDataName

char* vtkLabeledDataMapper::FieldDataName
| protected

Definition at line 265 of file vtkLabeledDataMapper.h.

## ◆ CoordinateSystem

int vtkLabeledDataMapper::CoordinateSystem
| protected

Definition at line 266 of file vtkLabeledDataMapper.h.

## ◆ ComponentSeparator

char vtkLabeledDataMapper::ComponentSeparator
| protected

Definition at line 268 of file vtkLabeledDataMapper.h.

## ◆ BuildTime

vtkTimeStamp vtkLabeledDataMapper::BuildTime
| protected

Definition at line 270 of file vtkLabeledDataMapper.h.

## ◆ NumberOfLabels

int vtkLabeledDataMapper::NumberOfLabels
| protected

Definition at line 272 of file vtkLabeledDataMapper.h.

## ◆ NumberOfLabelsAllocated

int vtkLabeledDataMapper::NumberOfLabelsAllocated
| protected

Definition at line 273 of file vtkLabeledDataMapper.h.

## ◆ TextMappers

vtkTextMapper** vtkLabeledDataMapper::TextMappers
| protected

Definition at line 274 of file vtkLabeledDataMapper.h.

## ◆ LabelPositions

double* vtkLabeledDataMapper::LabelPositions
| protected

Definition at line 275 of file vtkLabeledDataMapper.h.

## ◆ Transform

vtkTransform* vtkLabeledDataMapper::Transform
| protected

Definition at line 276 of file vtkLabeledDataMapper.h.

## ◆ Implementation

Internals* vtkLabeledDataMapper::Implementation
| protected

Definition at line 285 of file vtkLabeledDataMapper.h.

The documentation for this class was generated from the following file:

- Rendering/Label/vtkLabeledDataMapper.h